Bug 170127 - Work round fix for booty/anaconda when installing grub on XFS file systems
Work round fix for booty/anaconda when installing grub on XFS file systems
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: booty (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 12:00 EDT by James Pearson
Modified: 2008-03-09 03:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 03:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (against booty CVS) to work round grub installer hangs with XFS (2.14 KB, patch)
2005-10-07 12:04 EDT, James Pearson
no flags Details | Diff
Revised patch to work round grub installer hangs with XFS (2.27 KB, patch)
2005-11-04 12:05 EST, James Pearson
no flags Details | Diff

  None (edit)
Description James Pearson 2005-10-07 12:00:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040524

Description of problem:
The current code in bootloaderInfo.py uses xfs_freeze to freeze/thaw the XFS file system containing /boot to make sure the data is sync'd to disk before the grub install command is run - this fails to work (a lot) more often than not.

A work round that does work is to remount the file system read-only and then read-write.

Patch to follow ...


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install using XFS as the file system containing /boot

  

Actual Results:  Installer/anaconda will hang at the installing boot loader stage

grub 'spins' at this point

Expected Results:  Grub install should complete and installation continue

Additional info:
Comment 1 James Pearson 2005-10-07 12:04:11 EDT
Created attachment 119712 [details]
Patch (against booty CVS) to work round grub installer hangs with XFS
Comment 2 James Pearson 2005-11-04 12:05:22 EST
Created attachment 120732 [details]
Revised patch to work round grub installer hangs with XFS

New patch that does something sensible if it can't remount /boot
read-only/read-write
Comment 3 Eric Sandeen 2006-11-15 23:02:08 EST
I recently found that the latest grub install from anaconda is actually writing
directly to /boot's block device -while- /boot is mounted.  Not at all good.

invoking grub> install with the "--stage2=/boot/grub/stage2" option prevents
this, and may alleviate some of xfs's woes.

Anaconda disallows boot on xfs now anyway I think, so maybe this is a moot point....
Comment 4 Christian Iseli 2007-01-22 06:12:51 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 James Pearson 2007-02-04 07:47:40 EST
I guess this can be closed, as RedHat doesn't support XFS anyway ...

Note You need to log in before you can comment on or make changes to this bug.